Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 631386 - app-admin/fam-2.7.0-r7 : /.../Client.c++:29:21: fatal error: rpc/rpc.h: No such file or directory
Summary: app-admin/fam-2.7.0-r7 : /.../Client.c++:29:21: fatal error: rpc/rpc.h: No su...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2017-09-19 07:27 UTC by Toralf Förster
Modified: 2018-04-22 19:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.44 KB, text/plain)
2017-09-19 07:27 UTC, Toralf Förster
Details
app-admin:fam-2.7.0-r7:20170919-023643.log (app-admin:fam-2.7.0-r7:20170919-023643.log,14.08 KB, text/plain)
2017-09-19 07:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,421.56 KB, text/plain)
2017-09-19 07:28 UTC, Toralf Förster
Details
environment (environment,104.93 KB, text/plain)
2017-09-19 07:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.74 KB, application/x-bzip)
2017-09-19 07:28 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.08 KB, application/x-bzip)
2017-09-19 07:28 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,30.61 KB, application/x-bzip)
2017-09-19 07:28 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-09-19 07:27:55 UTC
/bin/sh ../libtool  --tag=CXX   --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I/var/tmp/portage/app-admin/fam-2.7.0-r7/work/fam-2.7.0/lib -I.. -I/var/tmp/portage/app-admin/fam-2.7.0-r7/work/fam-2.7.0/include -DFAM_CONF=\"/etc/fam.conf\"    -Werror=terminate -O2 -pipe -march=native -c -o Client.lo /var/tmp/portage/app-admin/fam-2.7.0-r7/work/fam-2.7.0/lib/Client.c++
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I/var/tmp/portage/app-admin/fam-2.7.0-r7/work/fam-2.7.0/lib -I.. -I/var/tmp/portage/app-admin/fam-2.7.0-r7/work/fam-2.7.0/include -DFAM_CONF=\"/etc/fam.conf\" -Werror=terminate -O2 -pipe -march=native -c /var/tmp/portage/app-admin/fam-2.7.0-r7/work/fam-2.7.0/lib/Client.c++  -fPIC -DPIC -o .libs/Client.o
/var/tmp/portage/app-admin/fam-2.7.0-r7/work/fam-2.7.0/lib/Client.c++:29:21: fatal error: rpc/rpc.h: No such file or directory
 #include <rpc/rpc.h>
                     ^
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-desktop_20170905-225247

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv app-admin/fam
[nomerge      ] dev-libs/libgamin-0.1.10-r5  USE="-debug -python -static-libs" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7" 
[blocks b     ]  app-admin/fam ("app-admin/fam" is blocking dev-libs/libgamin-0.1.10-r5, app-admin/gamin-0.1.10-r1, app-admin/gam-server-0.1.10-r2)
[uninstall    ]   app-admin/gam-server-0.1.10-r2  USE="-debug" 
[uninstall    ]   dev-libs/libgamin-0.1.10-r5  USE="-debug -python -static-libs" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7" 
[nomerge      ] app-admin/fam-2.7.0-r7  USE="-static-libs" ABI_X86="(64) -32 (-x32)" 
[blocks b     ]  app-admin/gamin ("app-admin/gamin" is blocking app-admin/fam-2.7.0-r7)
[uninstall    ]   app-admin/gamin-0.1.10-r1  ABI_X86="(64) -32 (-x32)" 
[ebuild  N    ] app-admin/fam-2.7.0-r7  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
Comment 1 Toralf Förster gentoo-dev 2017-09-19 07:27:58 UTC
Created attachment 495348 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-09-19 07:28:02 UTC
Created attachment 495350 [details]
app-admin:fam-2.7.0-r7:20170919-023643.log
Comment 3 Toralf Förster gentoo-dev 2017-09-19 07:28:05 UTC
Created attachment 495352 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-09-19 07:28:08 UTC
Created attachment 495354 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-09-19 07:28:12 UTC
Created attachment 495356 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-09-19 07:28:15 UTC
Created attachment 495358 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2017-09-19 07:28:18 UTC
Created attachment 495360 [details]
temp.tbz2
Comment 8 Andreas K. Hüttel gentoo-dev 2018-03-03 22:58:11 UTC
Any news here?
Comment 9 Toralf Förster gentoo-dev 2018-03-04 09:07:14 UTC
(In reply to Andreas K. Hüttel from comment #8)
still fails (eg     @ 17.0-no-multilib-hardened_libressl_20180302-172939)
Comment 10 Jeroen Roovers gentoo-dev 2018-03-04 13:07:50 UTC
Should be fixed in 2.7.0_p17_p2.